#version 410 core

layout (location = 1) in vec3 position;
layout (location = 2) in vec3 normal;
layout (location = 3) in vec2 uv;

uniform mat4 M;

void main(){

	gl_Position = M * vec4(position, 1.0);
}